@import "mixins";
@import "variables";

.categories-form-page {
  @include make-main-layout("~assets/category-form-bg.jpg");

  &-header {
    @include make-grid(stretch, center);
    @include add-column(auto 80px, 20px);
  }

  .category-photo {
    @include input($main-white);
    margin-top: $indent-xl;
    width: 100%;

    .photo-preview {
      overflow: hidden;
      background: $main-white;
      margin: 0 auto;
      width: $photo-size;
      height: $photo-size;
      border-radius: 50%;
      box-shadow: 0 0 3px 1px $black;
      position: relative;

      img {
        @extend %center-absolute;

        max-width: $photo-size;
        max-height: $photo-size;
        z-index: get-z-index(add-photo);
      }

      label {
        @include make-grid(center, center);
        @include smooth-transition(all);

        cursor: pointer;
        width: 100%;
        height: 100%;
        opacity: 0;
        position: relative;
        background-color: transparentize($main-gray, .5);
        z-index: get-z-index(add-photo-hover);


        i {
          color: $active-green;
          user-select: none;
        }

        &:hover {
          opacity: 1;
        }
      }

      #add-uploading {
        display: none;
      }
    }
  }

  .category-item-list {
    max-height: 300px;
    overflow: auto;
  }
}
